%define module_name D64-Disk-Layout-Dir
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Capture/Tiny.pm) perl(D64/Disk/Dir/Item.pm) perl(D64/Disk/Layout/Sector.pm) perl(Exporter.pm) perl(IO/Scalar.pm) perl(List/MoreUtils.pm) perl(Readonly.pm) perl(Test/Deep.pm) perl(Test/Exception.pm) perl(Test/MockModule.pm) perl(Text/Convert/PETSCII.pm) perl(XSLoader.pm) perl(base.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.06
Release: alt3
Summary: Handling entire Commodore (D64/D71/D81) disk image directories in pure Perl
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PA/PAWELKROL/%{module_name}-%{version}.tar.gz

%description
%summary

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_archlib/D*
%perl_vendor_autolib/*

%changelog
* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 0.06-alt3
- rebuild with perl 5.38

* Wed Jun 16 2021 Igor Vlasenko <viy@altlinux.org> 0.06-alt2
- rebuild with perl 5.34.0

* Tue Jan 19 2021 Igor Vlasenko <viy@altlinux.ru> 0.06-alt1
- updated by package builder

* Mon Jan 18 2021 Igor Vlasenko <viy@altlinux.ru> 0.05-alt1
- updated by package builder

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 0.03-alt2
- rebuild with perl 5.30

* Fri Feb 01 2019 Cronbuild Service <cronbuild@altlinux.org> 0.03-alt1.1
- rebuild with perl 5.28.1

* Fri Dec 07 2018 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1
- regenerated from template by package builder

* Mon Dec 18 2017 Igor Vlasenko <viy@altlinux.ru> 0.02-alt5
- rebuild with perl 5.26

* Sun Feb 12 2017 Cronbuild Service <cronbuild@altlinux.org> 0.02-alt4
- rebuild to get rid of unmets

* Mon Nov 30 2015 Igor Vlasenko <viy@altlinux.ru> 0.02-alt3
- rebuild with perl 522

* Mon Dec 15 2014 Cronbuild Service <cronbuild@altlinux.org> 0.02-alt2
- rebuild to get rid of unmets

* Mon Oct 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1
- initial import by package builder

